(function () {
    'use strict';

    angular
        .module('editorRotas')
        .factory('historicoService', historicoService);

    historicoService.$inject = ['Server'];

    function historicoService(Server) {
        /* Consultas */
        function CarregarVeiculosSetor(codigoSetor, data) {
            var action = 'Etapa1/CarregarVeiculosSetor?codigoSetor=' + codigoSetor + "&data=" + data;
            return Server.get(action, null);
        }

        function CarregarTodosVeiculos() {
            var action = 'Etapa1/CarregarTodosVeiculos';
            return Server.get(action, null);
        }

        function CarregarHistorico(codigoVeiculo, dtInicio, dtFim) {
            var action = 'Etapa1/CarregarHistorico?codigoVeiculo=' + codigoVeiculo + "&dtInicio=" + dtInicio + "&dtFim=" + dtFim;
            return Server.get(action, null);
        }

        function CarregarDadosVeiculo(codigoVeiculo) {
            var action = 'Etapa1/CarregarDadosVeiculo?codigoVeiculo=' + codigoVeiculo;
            return Server.get(action, null);
        }

        function CarregarSetoresRealizados(codigoSetor) {
            var action = 'Etapa1/CarregarSetoresRealizados?codigoSetor=' + codigoSetor;
            return Server.get(action, null);
        }

        return {
            CarregarVeiculosSetor: CarregarVeiculosSetor,
            CarregarTodosVeiculos: CarregarTodosVeiculos,
            CarregarHistorico: CarregarHistorico,
            CarregarDadosVeiculo: CarregarDadosVeiculo,
            CarregarSetoresRealizados: CarregarSetoresRealizados
        };
    }
})();
